Bug 15199 - t/db_dependent/Review.t should not depend on existing data
Summary: t/db_dependent/Review.t should not depend on existing data
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-17 13:20 UTC by Tomás Cohen Arazi
Modified: 2016-06-21 21:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15199: t/db_dependent/Review.t should not depend on existing data (2.05 KB, patch)
2015-11-17 13:24 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 15199: t/db_dependent/Review.t should not depend on existing data (2.15 KB, patch)
2015-11-17 16:20 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 15199: t/db_dependent/Review.t should not depend on existing data (2.20 KB, patch)
2015-11-18 01:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-11-17 13:20:44 UTC
It currently depends on existing patrons and categories.
Comment 1 Tomás Cohen Arazi 2015-11-17 13:24:09 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-11-17 16:20:31 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-11-18 01:29:34 UTC
Created attachment 44942 [details] [review]
[PASSED QA] Bug 15199: t/db_dependent/Review.t should not depend on existing data

This patch makes the tests create a branch and a patron category instead
of searching for them on the DB.

To test:
- Apply the patch on current master
- Run
  $ prove t/db_dependent/Review.t
=> SUCCESS: Tests pass
- Sign off

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
All test pass successful

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-11-18 02:47:36 UTC
Patch pushed to master.